> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Coins Categories List with Market Data

> This endpoint allows you to **query all the coins categories with market data (market cap, volume, ...) on CoinGecko**

<Tip>
  ### Tips

  * To retrieve a list of coins for a specific category, use the [/coins/markets](/reference/coins-markets) endpoint and provide the category **ID** via the `category` parameter.
</Tip>

<Note>
  ### Note

  * CoinGecko Equivalent Page: [https://www.coingecko.com/en/categories](https://www.coingecko.com/en/categories).
  * Cache / Update Frequency: every 5 minutes for all the API plans.
  * CoinGecko categories are different from [GeckoTerminal categories](/reference/categories-list).
</Note>


## OpenAPI

````yaml api-reference/coingecko-pro.json get /coins/categories
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /coins/categories:
    get:
      tags:
        - Categories
      summary: Coins Categories List with Market Data
      description: >-
        This endpoint allows you to **query all the coins categories with market
        data (market cap, volume, ...) on CoinGecko**
      operationId: coins-categories
      parameters:
        - name: order
          in: query
          description: 'sort results by field, default: market_cap_desc'
          required: false
          schema:
            type: string
            enum:
              - market_cap_desc
              - market_cap_asc
              - name_desc
              - name_asc
              - market_cap_change_24h_desc
              - market_cap_change_24h_asc
      responses:
        '200':
          description: List all categories with market data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Categories'
components:
  schemas:
    Categories:
      type: object
      properties:
        id:
          type: string
          description: category ID
        name:
          type: string
          description: category name
        market_cap:
          type: number
          description: category market cap
        market_cap_change_24h:
          type: number
          description: category market cap change in 24 hours
        content:
          type: string
          description: category description
        top_3_coins_id:
          type: array
          description: IDs of top 3 coins in the category
          items:
            type: string
        top_3_coins:
          type: array
          description: images of top 3 coins in the category
          items:
            type: string
        volume_24h:
          type: number
          description: category volume in 24 hours
        updated_at:
          type: string
          description: category last updated time
      example:
        - id: layer-1
          name: Layer 1 (L1)
          market_cap: 2061406861196.14
          market_cap_change_24h: -0.66091235190398
          content: ''
          top_3_coins_id:
            - bitcoin
            - ethereum
            - binancecoin
          top_3_coins:
            - >-
              https://assets.coingecko.com/coins/images/1/small/bitcoin.png?1696501400
            - >-
              https://assets.coingecko.com/coins/images/279/small/ethereum.png?1696501628
            - >-
              https://assets.coingecko.com/coins/images/825/small/bnb-icon2_2x.png?1696501970
          volume_24h: 61146432400.1739
          updated_at: '2024-04-06T08:25:46.402Z'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_pro_api_key

````